Skip to content

Requeue a failed or cancelled calculated-field recalculation job.

POST
/api/workspace/admin/entity-definitions/{entityDefinitionId}/calculated-field-recalculation-jobs/{jobId}/retry
curl --request POST \
--url https://example.com/api/workspace/admin/entity-definitions/example/calculated-field-recalculation-jobs/example/retry
  • None
entityDefinitionId
required
string
jobId
required
string
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

OK

Media typeapplication/json
object
Data

Detailed operational state for one calculated-field recalculation job.

object
JobId
string
nullable
Reason
integer format: int32
Allowed values: 0 1 2
Status
integer format: int32
Allowed values: 0 1 2 3 4
EntityDefinitionId
string
nullable
EntityFieldDefinitionId
string
nullable
RequestedByUserId
string
nullable
AttemptCount
integer format: int32
MaxAttempts
integer format: int32
IsRetryable
boolean
IsTerminal
boolean
NextRetryAtUtc
string format: date-time
nullable
TotalRowCount
integer format: int32
nullable
ProcessedRowCount
integer format: int32
LastProcessedRowId
string
nullable
LastError
string
nullable
CreatedAtUtc
string format: date-time
StartedAtUtc
string format: date-time
nullable
FinishedAtUtc
string format: date-time
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"Reason": 0,
"Status": 0
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Bad Request

Media typeapplication/json
object
Data

Detailed operational state for one calculated-field recalculation job.

object
JobId
string
nullable
Reason
integer format: int32
Allowed values: 0 1 2
Status
integer format: int32
Allowed values: 0 1 2 3 4
EntityDefinitionId
string
nullable
EntityFieldDefinitionId
string
nullable
RequestedByUserId
string
nullable
AttemptCount
integer format: int32
MaxAttempts
integer format: int32
IsRetryable
boolean
IsTerminal
boolean
NextRetryAtUtc
string format: date-time
nullable
TotalRowCount
integer format: int32
nullable
ProcessedRowCount
integer format: int32
LastProcessedRowId
string
nullable
LastError
string
nullable
CreatedAtUtc
string format: date-time
StartedAtUtc
string format: date-time
nullable
FinishedAtUtc
string format: date-time
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"Reason": 0,
"Status": 0
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Forbidden

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Not Found

Media typeapplication/json
object
Data

Detailed operational state for one calculated-field recalculation job.

object
JobId
string
nullable
Reason
integer format: int32
Allowed values: 0 1 2
Status
integer format: int32
Allowed values: 0 1 2 3 4
EntityDefinitionId
string
nullable
EntityFieldDefinitionId
string
nullable
RequestedByUserId
string
nullable
AttemptCount
integer format: int32
MaxAttempts
integer format: int32
IsRetryable
boolean
IsTerminal
boolean
NextRetryAtUtc
string format: date-time
nullable
TotalRowCount
integer format: int32
nullable
ProcessedRowCount
integer format: int32
LastProcessedRowId
string
nullable
LastError
string
nullable
CreatedAtUtc
string format: date-time
StartedAtUtc
string format: date-time
nullable
FinishedAtUtc
string format: date-time
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"Reason": 0,
"Status": 0
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}